Batch Orders
Supports up to 20 orders per batch for the same symbol.
HTTP Request
- POST
/api/v3/batchOrders
Required Permission: SPOT_DEAL_WRITE
Rate limit: Shared with the cancel order endpoint, 12 requests/second
Request Parameters
| Name | type | Mandatory | Description |
|---|---|---|---|
| batchOrders | LIST | YES | list of batchOrders,supports max 20 orders |
| symbol | STRING | YES | symbol |
| side | ENUM | YES | ENUM: Order Side |
| type | ENUM | YES | ENUM: Order Type |
| quantity | DECIMAL | NO | quantity |
| quoteOrderQty | DECIMAL | NO | quoteOrderQty |
| price | DECIMAL | NO | order price |
| newClientOrderId | STRING | NO | ClientOrderId |
| stpMode | STRING | NO | “” - Default value, no restriction on self-trading.“cancel_maker” - Cancel the maker order.“cancel_taker” - Cancel the taker order.“cancel_both” - Cancel both sides. |
| recvWindow | LONG | NO | less than 60000 |
| timestamp | LONG | YES | order time |
base on differenttype,some params are mandatory:
| type | Mandatory params |
|---|---|
LIMIT | quantity, price |
MARKET | quantity or quoteOrderQty |
Response Parameters
| Name | type | Description |
|---|---|---|
| symbol | STRING | symbol |
| orderId | STRING | orderId |
Response
{
{
[
{
"symbol": "BTCUSDT",
"orderId": "1196315350023612316",
"orderListId": -1
},
{
"symbol": "BTCUSDT",
"orderId": "1196315350023612318",
"orderListId": -1
}
],
[
{
"symbol": "BTCUSDT",
"orderId": "1196315350023612316",
"newClientOrderId": "hio8279hbdsds",
"orderListId": -1
},
{
"newClientOrderId": "123456",
"msg": "The minimum transaction volume cannot be less than:0.5USDT",
"code": 30002
},
{
"symbol": "BTCUSDT",
"orderId": "1196315350023612318",
"orderListId": -1
}
]
}
}